<?php
require_once ("/usr/local/www/berogui/includes/Helper/Helper.php");

$exec_ajax = 1;
$invalid = array();

/* [CHECKING GET REQUEST] */
unset($_GET);

/* [CHECKING SESSION] */
$newTarget = '/app/berogui/index.php?m=Dos';
require_once('/usr/local/www/berogui/includes/session.php');
unset($newTarget);

/* [CHECKING POST] */
unset($_POST['start'], $_POST['a'], $_POST['submit'], $_POST['m'], $_POST['action']);

if (isset($_POST['netmask'])) {
	$_POST['netmask'] = $_POST['netmask'] === '' ? "32" : $_POST['netmask'];
}

$list_post = array(
	'id_upd' => 'id', 'address' => 'hostname', 'netmask' => 'netmask', 'blacklist_max_packets' => 'int>=0',
	'blacklist_timeframe' => 'int>=0', 'blacklist_blockduration' => 'int>=0', 'allowlan' => 'bool',
); 


$_POST = Helper::sanitizePost($_POST, $list_post, $exec_ajax, $invalid);

/* [EXECUTING AJAX] */
if (!$exec_ajax) {
        echo "<script>window.location='../../index.php?m=Dos&error=1&request={$invalid['request']}&checkor={$invalid['checkor']}&key={$invalid['key']}'</script>";
	exit(1);
}

chdir('../..');

include "./includes/variables.php";
include_once("/usr/www/include/SQLite2ToSQLite3.php");
include "./misc/database.php";
require_once "./includes/isgwtelnet.php";
$ba = new beroAri();

if (isset($_POST['address'])) {
	$id = $_POST['id_upd'];
	$address = $_POST['address'];
	$netmask = $_POST['netmask'];
	if ($id) {
		$ba->update("UPDATE whitelist SET address='" . sqlite_escape_string($address) . "',netmask='" . sqlite_escape_string($netmask) . "' where id='" . sqlite_escape_string($id) . "'" );
	
	} else {
		$ba->insert_("INSERT INTO whitelist (address,netmask) " . "VALUES ('" . sqlite_escape_string($address) . "','" . sqlite_escape_string($netmask) ."')");
	}
}
else {
	if (isset($_POST['blacklist_max_packets'])) {
		$ba->set("blacklist_max_packets", sqlite_escape_string($_POST["blacklist_max_packets"]));
	}
	if (isset($_POST['blacklist_timeframe'])) {
		$ba->set("blacklist_timeframe", sqlite_escape_string($_POST["blacklist_timeframe"]));
	}
	if (isset($_POST['blacklist_blockduration'])) {
		$ba->set("blacklist_blockduration", sqlite_escape_string($_POST["blacklist_blockduration"]));
	}
}

Helper::activate(1);
if ($ba->is_error()) {
	echo '<script>alert(\'' . $ba->error() . '\');</script>';
}
else{
	echo '<script>window.location=\'../../index.php?m=Dos\'</script>';
}


?>
